## ros-noetic-mrpt-reactivenav2d 1.0.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1)
project(mrpt_reactivenav2d)

## Find catkin macros and libraries
## if COMPONENTS list like find_package(catkin REQUIRED COMPONENTS xyz)
## is used, also find other catkin packages
find_package(catkin REQUIRED COMPONENTS
  actionlib
  actionlib_msgs
  dynamic_reconfigure
  geometry_msgs
  roscpp
  tf2
  tf2_ros
  tf2_geometry_msgs
  visualization_msgs
)

## System dependencies are found with CMake's conventions
find_package(mrpt-ros1bridge REQUIRED)
find_package(mrpt-nav REQUIRED)
find_package(mrpt-kinematics REQUIRED)

message(STATUS "MRPT_VERSION: ${MRPT_VERSION}")

if (CMAKE_COMPILER_IS_GNUCXX)
	# High level of warnings.
	# The -Wno-long-long is required in 64bit systems when including sytem headers.
	# The -Wno-variadic-macros was needed for Eigen3, StdVector.h
	add_compile_options(-Wall -Wno-long-long -Wno-variadic-macros)
	# Workaround: Eigen <3.4 produces *tons* of warnings in GCC >=6. See http://eigen.tuxfamily.org/bz/show_bug.cgi?id=1221
	if (NOT ${CMAKE_CXX_COMPILER_VERSION} LESS "6.0")
		add_compile_options(-Wno-ignored-attributes -Wno-int-in-bool-context)
	endif()
endif()
IF(CMAKE_COMPILER_IS_GNUCXX AND NOT CMAKE_BUILD_TYPE MATCHES "Debug")
  add_compile_options(-O3)
ENDIF()

###################################
## catkin specific configuration ##
###################################
## The catkin_package macro generates cmake config files for your package
## Declare things to be passed to dependent projects
## INCLUDE_DIRS: uncomment this if you package contains header files
## LIBRARIES: libraries you create in this project that dependent projects also need
## CATKIN_DEPENDS: catkin_packages dependent projects also need
## DEPENDS: system dependencies of this project that dependent projects also need
catkin_package(
#  INCLUDE_DIRS include
#  LIBRARIES mrpt_reactivenav2d
  CATKIN_DEPENDS
    actionlib
    actionlib_msgs
    dynamic_reconfigure
    geometry_msgs
    roscpp
    tf2
    tf2_ros
    tf2_geometry_msgs
      visualization_msgs
#  DEPENDS mrpt
)

###########
## Build ##
###########

## Specify additional locations of header files
## Your package locations should be listed before other locations
# include_directories(include)
include_directories(
  ${catkin_INCLUDE_DIRS}
)

## Declare a cpp library
# add_library(mrpt_reactivenav2d
#   src/${PROJECT_NAME}/mrpt_reactivenav2d.cpp
# )

## Declare a cpp executable
add_executable(mrpt_reactivenav2d_node src/mrpt_reactivenav2d_node.cpp)

## Add cmake target dependencies of the executable/library
## as an example, message headers may need to be generated before nodes
# add_dependencies(mrpt_reactivenav2d_node mrpt_reactivenav2d_generate_messages_cpp)

## Specify libraries to link a library or executable target against
target_link_libraries(mrpt_reactivenav2d_node
  ${catkin_LIBRARIES}
  mrpt::nav
  mrpt::kinematics
  mrpt::ros1bridge
)

#############
## Install ##
#############

# all install targets should use catkin DESTINATION variables
# See http://ros.org/doc/api/catkin/html/adv_user_guide/variables.html


## Mark executables and/or libraries for installation
install(TARGETS mrpt_reactivenav2d_node
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

## Mark other files for installation (e.g. launch and bag files, etc.)
install(DIRECTORY
  launch
  tutorial
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

#############
## Testing ##
#############

=== debian/changelog ===
ros-noetic-mrpt-reactivenav2d (1.0.3-1buster) buster; urgency=high



 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Fri, 24 Jun 2022 22:00:00 -0000

ros-noetic-mrpt-reactivenav2d (1.0.2-1buster) buster; urgency=high



 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Fri, 24 Jun 2022 22:00:00 -0000

ros-noetic-mrpt-reactivenav2d (1.0.1-1buster) buster; urgency=high

  * Correct demos
  * Fix all build errors
  * Removed now obsolete tf_prefix
  * Ported to tf2 and mrpt::ros1bridge
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Thu, 23 Jun 2022 22:00:00 -0000

ros-noetic-mrpt-reactivenav2d (1.0.0-1buster) buster; urgency=high

  * Update URLs to https
  * Update build dep to mrpt2
  * Contributors: Jose Luis Blanco Claraco

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Fri, 29 Apr 2022 22:00:00 -0000

ros-noetic-mrpt-reactivenav2d (0.1.26-1buster) buster; urgency=high



 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Fri, 04 Oct 2019 22:00:00 -0000

ros-noetic-mrpt-reactivenav2d (0.1.25-1buster) buster; urgency=high

  * fix nav to target clicking in RVIZ
  * Contributors: Jose Luis Blanco Claraco

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Thu, 03 Oct 2019 22:00:00 -0000

ros-noetic-mrpt-reactivenav2d (0.1.24-1buster) buster; urgency=high

  * Fix build against MRPT 1.9.9
  * Contributors: Julian Lopez Velasquez

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Thu, 11 Apr 2019 22:00:00 -0000

ros-noetic-mrpt-reactivenav2d (0.1.23-1buster) buster; urgency=high



 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Wed, 13 Jun 2018 22:00:00 -0000

ros-noetic-mrpt-reactivenav2d (0.1.22-1buster) buster; urgency=high

  * fix all catkin_lint errors
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Mon, 21 May 2018 22:00:00 -0000

ros-noetic-mrpt-reactivenav2d (0.1.21-1buster) buster; urgency=high

  * Upgrade version 0.1.20 (#99 <https://github.com/mrpt-ros-pkg/mrpt_navigation/issues/99>)
  * fix build against mrpt 2.0
  * partial fix build w mrpt 2.0
  * optimized build (-O3)
  * fix build errors against mrpt 1.5.5
  * Merge branch 'master' of github.com:tuw-robotics/mrpt_navigation
  * Merge branch 'master' into master
  * CMake finds MRPT >=1.5 in ROS master branch
  * Merge branch 'master' into compat-mrpt-1.5
  * CMake finds MRPT >=1.9
  * avoid Eigen warnings with GCC-7
  * Removed unnecessry MRPT_VERSION checks
  * Fixes for clang format
  * Removed c++11 declarations in cmake
  * Fixed error in demo launch file
  * Adapted CMakeLists to new mrpt
  * Ported to a new version of MRPT
  * Issue #75 <https://github.com/mrpt-ros-pkg/mrpt_navigation/issues/75>: fix mrpt_reactivenav2d compilation errors
  * Issue #75 <https://github.com/mrpt-ros-pkg/mrpt_navigation/issues/75>: fix mrpt_reactivenav2d compilation errors
  * deprecated mrpt 2.0 module names
  * Update launch file to work with MRPT 1.5.0
  * fix build with MRPT 1.5.0
  * Contributors: Borys Tymchenko, Hunter Laux, Jose Luis Blanco, Jose Luis Blanco Claraco, Jose Luis Blanco-Claraco, Markus Bader, corot

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Thu, 26 Apr 2018 22:00:00 -0000

ros-noetic-mrpt-reactivenav2d (0.1.20-1buster) buster; urgency=high

  * fix build against mrpt 2.0
  * partial fix build w mrpt 2.0
  * optimized build (-O3)
  * fix build errors against mrpt 1.5.5
  * Merge branch 'master' of github.com:tuw-robotics/mrpt_navigation
  * Merge branch 'master' into master
  * CMake finds MRPT >=1.5 in ROS master branch
  * Merge branch 'master' into compat-mrpt-1.5
  * CMake finds MRPT >=1.9
  * avoid Eigen warnings with GCC-7
  * Removed unnecessry MRPT_VERSION checks
  * Fixes for clang format
  * Removed c++11 declarations in cmake
  * Fixed error in demo launch file
  * Adapted CMakeLists to new mrpt
  * Ported to a new version of MRPT
  * Issue #75 <https://github.com/mrpt-ros-pkg/mrpt_navigation/issues/75>: fix mrpt_reactivenav2d compilation errors
  * Issue #75 <https://github.com/mrpt-ros-pkg/mrpt_navigation/issues/75>: fix mrpt_reactivenav2d compilation errors
  * deprecated mrpt 2.0 module names
  * Update launch file to work with MRPT 1.5.0
  * fix build with MRPT 1.5.0
  * Contributors: Borys Tymchenko, Jose Luis Blanco, Jose Luis Blanco Claraco, Jose Luis Blanco-Claraco, Markus Bader, corot

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Wed, 25 Apr 2018 22:00:00 -0000

ros-noetic-mrpt-reactivenav2d (0.1.18-1buster) buster; urgency=high



 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Sat, 21 Jan 2017 23:00:00 -0000

ros-noetic-mrpt-reactivenav2d (0.1.17-1buster) buster; urgency=high

  * fix build against latest mrpt 1.5.0
  * make catkin_lint clean
  * Remove all errors generated by catkin_lint and cleanup unused templates from CMakeLists.txt files
  * Update to MRPT 1.5.0
  * Contributors: Jorge Santos, Jose Luis Blanco

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Sat, 21 Jan 2017 23:00:00 -0000

ros-noetic-mrpt-reactivenav2d (0.1.16-1buster) buster; urgency=high

  * Fix #52 <https://github.com/mrpt-ros-pkg/mrpt_navigation/issues/52>
  * Contributors: Jose-Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Mon, 12 Dec 2016 23:00:00 -0000

ros-noetic-mrpt-reactivenav2d (0.1.15-1buster) buster; urgency=high

  * Fix mrpt-reactivenav2d compilation errors
  * Fix compilation for MRPT < 1.5.0
  * Add include guard  for MRPT >= 1.5.0, fill timestamp entries
  * Add include guard for CVehicleVelCmd_DiffDriven in mrpt >= 1.5.0
  * Fix mrpt-reactivenav2d compilation errors
  * Contributors: Nikos Koukis, bergercookie

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Sat, 05 Nov 2016 23:00:00 -0000

ros-noetic-mrpt-reactivenav2d (0.1.14-1buster) buster; urgency=high



 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Sun, 11 Sep 2016 22:00:00 -0000

ros-noetic-mrpt-reactivenav2d (0.1.13-1buster) buster; urgency=high



 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Fri, 02 Sep 2016 22:00:00 -0000



=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-mrpt-reactivenav2d//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install

## ros-noetic-mrpt-reactivenav2d 1.0.4

=== debian/changelog ===
ros-noetic-mrpt-reactivenav2d (1.0.4-1focal) focal; urgency=high

  * Fix demo launch files for newer MVSIM
  * Contributors: Jose Luis Blanco Claraco

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Mon, 27 Mar 2023 22:00:00 -0000

ros-noetic-mrpt-reactivenav2d (1.0.3-1focal) focal; urgency=high



 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Fri, 24 Jun 2022 22:00:00 -0000

ros-noetic-mrpt-reactivenav2d (1.0.2-1focal) focal; urgency=high



 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Fri, 24 Jun 2022 22:00:00 -0000

ros-noetic-mrpt-reactivenav2d (1.0.1-1focal) focal; urgency=high

  * Correct demos
  * Fix all build errors
  * Removed now obsolete tf_prefix
  * Ported to tf2 and mrpt::ros1bridge
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Thu, 23 Jun 2022 22:00:00 -0000

ros-noetic-mrpt-reactivenav2d (1.0.0-1focal) focal; urgency=high

  * Update URLs to https
  * Update build dep to mrpt2
  * Contributors: Jose Luis Blanco Claraco

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Fri, 29 Apr 2022 22:00:00 -0000

ros-noetic-mrpt-reactivenav2d (0.1.26-1focal) focal; urgency=high



 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Fri, 04 Oct 2019 22:00:00 -0000

ros-noetic-mrpt-reactivenav2d (0.1.25-1focal) focal; urgency=high

  * fix nav to target clicking in RVIZ
  * Contributors: Jose Luis Blanco Claraco

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Thu, 03 Oct 2019 22:00:00 -0000

ros-noetic-mrpt-reactivenav2d (0.1.24-1focal) focal; urgency=high

  * Fix build against MRPT 1.9.9
  * Contributors: Julian Lopez Velasquez

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Thu, 11 Apr 2019 22:00:00 -0000

ros-noetic-mrpt-reactivenav2d (0.1.23-1focal) focal; urgency=high



 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Wed, 13 Jun 2018 22:00:00 -0000

ros-noetic-mrpt-reactivenav2d (0.1.22-1focal) focal; urgency=high

  * fix all catkin_lint errors
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Mon, 21 May 2018 22:00:00 -0000

ros-noetic-mrpt-reactivenav2d (0.1.21-1focal) focal; urgency=high

  * Upgrade version 0.1.20 (#99 <https://github.com/mrpt-ros-pkg/mrpt_navigation/issues/99>)
  * fix build against mrpt 2.0
  * partial fix build w mrpt 2.0
  * optimized build (-O3)
  * fix build errors against mrpt 1.5.5
  * Merge branch 'master' of github.com:tuw-robotics/mrpt_navigation
  * Merge branch 'master' into master
  * CMake finds MRPT >=1.5 in ROS master branch
  * Merge branch 'master' into compat-mrpt-1.5
  * CMake finds MRPT >=1.9
  * avoid Eigen warnings with GCC-7
  * Removed unnecessry MRPT_VERSION checks
  * Fixes for clang format
  * Removed c++11 declarations in cmake
  * Fixed error in demo launch file
  * Adapted CMakeLists to new mrpt
  * Ported to a new version of MRPT
  * Issue #75 <https://github.com/mrpt-ros-pkg/mrpt_navigation/issues/75>: fix mrpt_reactivenav2d compilation errors
  * Issue #75 <https://github.com/mrpt-ros-pkg/mrpt_navigation/issues/75>: fix mrpt_reactivenav2d compilation errors
  * deprecated mrpt 2.0 module names
  * Update launch file to work with MRPT 1.5.0
  * fix build with MRPT 1.5.0
  * Contributors: Borys Tymchenko, Hunter Laux, Jose Luis Blanco, Jose Luis Blanco Claraco, Jose Luis Blanco-Claraco, Markus Bader, corot

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Thu, 26 Apr 2018 22:00:00 -0000

ros-noetic-mrpt-reactivenav2d (0.1.20-1focal) focal; urgency=high

  * fix build against mrpt 2.0
  * partial fix build w mrpt 2.0
  * optimized build (-O3)
  * fix build errors against mrpt 1.5.5
  * Merge branch 'master' of github.com:tuw-robotics/mrpt_navigation
  * Merge branch 'master' into master
  * CMake finds MRPT >=1.5 in ROS master branch
  * Merge branch 'master' into compat-mrpt-1.5
  * CMake finds MRPT >=1.9
  * avoid Eigen warnings with GCC-7
  * Removed unnecessry MRPT_VERSION checks
  * Fixes for clang format
  * Removed c++11 declarations in cmake
  * Fixed error in demo launch file
  * Adapted CMakeLists to new mrpt
  * Ported to a new version of MRPT
  * Issue #75 <https://github.com/mrpt-ros-pkg/mrpt_navigation/issues/75>: fix mrpt_reactivenav2d compilation errors
  * Issue #75 <https://github.com/mrpt-ros-pkg/mrpt_navigation/issues/75>: fix mrpt_reactivenav2d compilation errors
  * deprecated mrpt 2.0 module names
  * Update launch file to work with MRPT 1.5.0
  * fix build with MRPT 1.5.0
  * Contributors: Borys Tymchenko, Jose Luis Blanco, Jose Luis Blanco Claraco, Jose Luis Blanco-Claraco, Markus Bader, corot

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Wed, 25 Apr 2018 22:00:00 -0000

ros-noetic-mrpt-reactivenav2d (0.1.18-1focal) focal; urgency=high



 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Sat, 21 Jan 2017 23:00:00 -0000

ros-noetic-mrpt-reactivenav2d (0.1.17-1focal) focal; urgency=high

  * fix build against latest mrpt 1.5.0
  * make catkin_lint clean
  * Remove all errors generated by catkin_lint and cleanup unused templates from CMakeLists.txt files
  * Update to MRPT 1.5.0
  * Contributors: Jorge Santos, Jose Luis Blanco

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Sat, 21 Jan 2017 23:00:00 -0000

ros-noetic-mrpt-reactivenav2d (0.1.16-1focal) focal; urgency=high

  * Fix #52 <https://github.com/mrpt-ros-pkg/mrpt_navigation/issues/52>
  * Contributors: Jose-Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Mon, 12 Dec 2016 23:00:00 -0000

ros-noetic-mrpt-reactivenav2d (0.1.15-1focal) focal; urgency=high

  * Fix mrpt-reactivenav2d compilation errors
  * Fix compilation for MRPT < 1.5.0
  * Add include guard  for MRPT >= 1.5.0, fill timestamp entries
  * Add include guard for CVehicleVelCmd_DiffDriven in mrpt >= 1.5.0
  * Fix mrpt-reactivenav2d compilation errors
  * Contributors: Nikos Koukis, bergercookie

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Sat, 05 Nov 2016 23:00:00 -0000

ros-noetic-mrpt-reactivenav2d (0.1.14-1focal) focal; urgency=high





=== debian/control ===
Source: ros-noetic-mrpt-reactivenav2d
Section: misc
Priority: optional
Maintainer: Jose-Luis Blanco-Claraco <jlblanco@ual.es>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-actionlib, ros-noetic-actionlib-msgs, ros-noetic-catkin, ros-noetic-dynamic-reconfigure, ros-noetic-geometry-msgs, ros-noetic-mrpt2, ros-noetic-roscpp, ros-noetic-tf2, ros-noetic-tf2-geometry-msgs, ros-noetic-tf2-ros, ros-noetic-visualization-msgs
Homepage: https://wiki.ros.org/mrpt_reactivenav2d
Standards-Version: 3.9.2

Package: ros-noetic-mrpt-reactivenav2d
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-actionlib, ros-noetic-actionlib-msgs, ros-noetic-dynamic-reconfigure, ros-noetic-geometry-msgs, ros-noetic-mrpt2, ros-noetic-roscpp, ros-noetic-tf2, ros-noetic-tf2-geometry-msgs, ros-noetic-tf2-ros, ros-noetic-visualization-msgs
Description: Reactive navigation for 2D robots using MRPT navigation algorithms (TP-Space)
